Index: LMDZ6/branches/blowing_snow/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/branches/blowing_snow/DefLists/field_def_lmdz.xml	(revision 4484)
+++ LMDZ6/branches/blowing_snow/DefLists/field_def_lmdz.xml	(revision 4485)
@@ -112,6 +112,10 @@
         <field id="pluc"    long_name="Convective Precip."      unit="kg/(s*m2)" />
         <field id="snow"    long_name="Snow fall"               unit="kg/(s*m2)" />
-        <field id="evap"    long_name="Evaporat"                unit="kg/(s*m2)" />
-        <field id="evap_ter"    long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+	<field id="evap"    long_name="Evaporat"                unit="kg/(s*m2)" />
+        <field id="snowerosion"    long_name="blowing snow erosion"                unit="kg/(s*m2)" />
+	<field id="bsfall"    long_name="blowing snow precipitation"                unit="kg/(s*m2)" />
+	<field id="rhosnow_lic"    long_name="snow density lic"                unit="kg/m3" />
+        <field id="ustart_lic"    long_name="ustar threshold for snow erosion"                unit="m/s" />
+	<field id="evap_ter"    long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
         <field id="evap_lic"    long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
         <field id="evap_oce"    long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
@@ -275,5 +279,6 @@
         <field id="prw"    long_name="Precipitable water"    unit="kg/m2" />
         <field id="prlw"   long_name="Precipitable liquid water"  unit="kg/m2" />
-        <field id="prsw"   long_name="Precipitable solid water"  unit="kg/m2" />
+	<field id="prsw"   long_name="Precipitable solid water"  unit="kg/m2" />
+	<field id="prbsw"   long_name="Precipitable blowing snow"  unit="kg/m2" />
         <field id="s_pblh"    long_name="Boundary Layer Height"    unit="m" />
         <field id="s_pblt"    long_name="t at Boundary Layer Height"    unit="K" />
@@ -505,9 +510,11 @@
         <field id="dqphy2d"    long_name="Physics dQ"    unit="(kg/m2)/s" />
         <field id="dqlphy2d"    long_name="Physics dQL"    unit="(kg/m2)/s" />
-        <field id="dqsphy2d"    long_name="Physics dQS"    unit="(kg/m2)/s" />
+	<field id="dqsphy2d"    long_name="Physics dQS"    unit="(kg/m2)/s" />
+	<field id="dqbsphy2d"    long_name="Physics dQBS"    unit="(kg/m2)/s" />
         <field id="dqdyn2d"    long_name="Dynamics dQ"    unit="(kg/m2)/s" />
         <field id="dqldyn2d"   long_name="Dynamics dQL"    unit="(kg/m2)/s" />
         <field id="dqsdyn2d"   long_name="Dynamics dQS"    unit="(kg/m2)/s" />
-        <field id="dqcon2d"    long_name="Convection dQ"    unit="(kg/m2)/s" />
+        <field id="dqbsdyn2d"   long_name="Dynamics dQBS"    unit="(kg/m2)/s" />
+	<field id="dqcon2d"    long_name="Convection dQ"    unit="(kg/m2)/s" />
         <field id="dqwak2d"    long_name="Wake dQ"    unit="(kg/m2)/s" />
         <field id="dqlsc2d"    long_name="Condensation dQ"    unit="(kg/m2)/s" />
@@ -590,5 +597,6 @@
         <field id="ovapinit"    long_name="Specific humidity (begin of timestep)"    unit="kg/kg" />
         <field id="oliq"    long_name="Liquid water"    unit="kg/kg" />
-        <field id="ocond"    long_name="Condensed water"    unit="kg/kg" />
+	<field id="ocond"    long_name="Condensed water"    unit="kg/kg" />
+	<field id="qbs"    long_name="specific content of blowing snow"    unit="kg/kg" />
         <field id="geop"    long_name="Geopotential height"    unit="m2/s2" />
         <field id="geoph" field_ref="geop" long_name="Geopotential height" unit="m" > geop/9.80665 </field>
@@ -616,9 +624,11 @@
         <field id="dqphy"    long_name="Physics dQ"    unit="(kg/kg)/s" />
         <field id="dqlphy"   long_name="Physics dQL"    unit="(kg/kg)/s" />
-        <field id="dqsphy"   long_name="Physics dQS"    unit="(kg/kg)/s" />
+	<field id="dqsphy"   long_name="Physics dQS"    unit="(kg/kg)/s" />
+	<field id="dqbsphy"   long_name="Physics dQBS"    unit="(kg/kg)/s" />
         <field id="pr_con_l"    long_name="Convective precipitation lic"    unit="-" />
         <field id="pr_con_i"    long_name="Convective precipitation ice"    unit="-" />
         <field id="pr_lsc_l"    long_name="Large scale precipitation lic"    unit="-" />
-        <field id="pr_lsc_i"    long_name="Large scale precipitation ice"    unit="-" />
+	<field id="pr_lsc_i"    long_name="Large scale precipitation ice"    unit="-" />
+	<field id="pr_bs"    long_name="precipitation blowing snow"    unit="-" />
         <field id="re"    long_name="Cloud droplet effective radius"    unit="um" />
         <field id="fl"    long_name="Denominator of Cloud droplet effective radius"    unit="-" />
@@ -643,5 +653,6 @@
         <field id="dqldyn"    long_name="Dynamics dQL"    unit="(kg/kg)/s" />
         <field id="dqsdyn"    long_name="Dynamics dQS"    unit="(kg/kg)/s" />
-        <field id="dudyn"    long_name="Dynamics dU"    unit="m/s2" />
+        <field id="dqbsdyn"    long_name="Dynamics dQBS"    unit="(kg/kg)/s" />       
+	<field id="dudyn"    long_name="Dynamics dU"    unit="m/s2" />
         <field id="dvdyn"    long_name="Dynamics dV"    unit="m/s2" />
         <field id="dtcon"    long_name="Convection dT"    unit="K/s" />
@@ -673,5 +684,9 @@
         <field id="dqvdf_w" long_name="dqvdf within_wake" unit="(kg/kg)/s" />
         <field id="dteva"    long_name="Reevaporation dT"    unit="K/s" />
-        <field id="dqeva"    long_name="Reevaporation dQ"    unit="(kg/kg)/s" />
+	<field id="dqeva"    long_name="Reevaporation dQ"    unit="(kg/kg)/s" />
+        <field id="dqbsvdf"    long_name="Boundary-layer dQBS"    unit="(kg/kg)/s" />
+        <field id="dqbsbs"    long_name="Blowing snow dQBS"    unit="(kg/kg)/s" />
+        <field id="dqbs"    long_name="Blowing snow dQ"    unit="(kg/kg)/s" />
+        <field id="dtbs"    long_name="Blowing snow dT"    unit="(K)/s" />
         <field id="dqlscth"    long_name="dQ therm."    unit="(kg/kg)/s" />
         <field id="dqlscst"    long_name="dQ strat."    unit="(kg/kg)/s" />
Index: LMDZ6/branches/blowing_snow/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- LMDZ6/branches/blowing_snow/DefLists/file_def_histhf_lmdz.xml	(revision 4484)
+++ LMDZ6/branches/blowing_snow/DefLists/file_def_histhf_lmdz.xml	(revision 4485)
@@ -2,5 +2,5 @@
 <file_definition>
     <file_group id="defile">
-        <file id="histhf" name="histhf" output_freq="3h" output_level="_AUTO_" enabled="_AUTO_" compression_level="2" sync_freq="3h">
+        <file id="histhf" name="histhf" output_freq="1h" output_level="_AUTO_" enabled="_AUTO_" compression_level="2" sync_freq="1h">
             
             <!-- VARS 1D -->
@@ -12,16 +12,16 @@
         
             <!-- VARS 2D -->
-            <field_group group_ref="remap_3h" >
+            <field_group group_ref="remap_1h" >
               <field_group grid_ref="grid_out" > 
-                <field field_ref="phis" level="10" />
+                <field field_ref="phis" level="5" />
                 <field field_ref="aire" level="10" operation="once" />
                 <field field_ref="contfracATM" level="5" operation="once" />
                 <field field_ref="contfracOR" level="5" />
-                <field field_ref="flat" level="10" />
-                <field field_ref="slp" level="10" />
+                <field field_ref="flat" level="5" />
+                <field field_ref="slp" level="5" />
                 <field field_ref="sza" level="10" />
                 <field field_ref="ptstar" level="10" />
                 <field field_ref="pt0" level="10" />
-                <field field_ref="tsol" level="10" />
+                <field field_ref="tsol" level="5" />
                 <field field_ref="t2m" level="5" />
                 <field field_ref="t2m_min" level="10" operation="minimum" />
@@ -32,10 +32,10 @@
                 <field field_ref="t2m_sic" level="10" />
                 <field field_ref="gusts" level="10" />
-                <field field_ref="wind10m" level="10" />
+                <field field_ref="wind10m" level="5" />
                 <field field_ref="wind100m" level="10" />
                 <field field_ref="wind10max" level="10" operation="maximum" />
                 <field field_ref="sicf" level="10" />
                 <field field_ref="q2m" level="5" />
-                <field field_ref="ustar" level="10" />
+                <field field_ref="ustar" level="5" />
                 <field field_ref="u10m" level="5" />
                 <field field_ref="v10m" level="5" />
@@ -67,11 +67,15 @@
                 <field field_ref="plun" level="10" />
                 <field field_ref="pluc" level="10" />
-                <field field_ref="snow" level="5" />
-                <field field_ref="evap" level="10" />
-                <field field_ref="evap_ter" level="10" />
+		<field field_ref="snow" level="5" />
+		<field field_ref="bsfall" level="5" />
+		<field field_ref="evap" level="5" />
+		<field field_ref="snowerosion" level="5" />
+		<field field_ref="rhosnow_lic" level="5" />
+                <field field_ref="ustart_lic" level="5" />
+		<field field_ref="evap_ter" level="10" />
                 <field field_ref="evap_lic" level="10" />
                 <field field_ref="evap_oce" level="10" />
                 <field field_ref="evap_sic" level="10" />
-                <field field_ref="msnow" level="10" />
+                <field field_ref="msnow" level="5" />
                 <field field_ref="fsnow" level="10" />
                 <field field_ref="tops" level="10" />
@@ -99,9 +103,9 @@
                 <field field_ref="SWupSFC" level="10" />
                 <field field_ref="SWupSFCclr" level="10" />
-                <field field_ref="SWdnSFC" level="10" />
+                <field field_ref="SWdnSFC" level="5" />
                 <field field_ref="SWdnSFCclr" level="10" />
                 <field field_ref="LWupSFC" level="10" />
                 <field field_ref="LWupSFCclr" level="10" />
-                <field field_ref="LWdnSFC" level="10" />
+                <field field_ref="LWdnSFC" level="5" />
                 <field field_ref="LWdnSFCclr" level="10" />
                 <field field_ref="bils" level="10" />
@@ -112,5 +116,5 @@
                 <field field_ref="bils_enthalp" level="10" />
                 <field field_ref="bils_latent" level="10" />
-                <field field_ref="sens" level="10" />
+                <field field_ref="sens" level="5" />
                 <field field_ref="sens_x" level="11" />
                 <field field_ref="sens_w" level="11" />
@@ -198,5 +202,5 @@
                 <field field_ref="cldm" level="10" />
                 <field field_ref="cldh" level="10" />
-                <field field_ref="cldt" level="10" />
+                <field field_ref="cldt" level="5" />
                 <field field_ref="cldq" level="10" />
                 <field field_ref="lwp" level="10" />
@@ -214,7 +218,8 @@
                 <field field_ref="wbeff" level="10" />
                 <field field_ref="convoccur" level="10" />
-                <field field_ref="prw" level="10" />
+                <field field_ref="prw" level="5" />
                 <field field_ref="prlw" level="10" />
-                <field field_ref="prsw" level="10" />
+		<field field_ref="prsw" level="10" />
+                <field field_ref="prbsw" level="5" />
                 <field field_ref="s_pblh" level="10" />
                 <field field_ref="s_pblt" level="10" />
@@ -246,5 +251,5 @@
                     <field field_ref="u850" level="10" />
                     <field field_ref="u700" level="10" />
-                    <field field_ref="u500" level="10" />
+                    <field field_ref="u500" level="5" />
                     <field field_ref="u200" level="10" />
                     <field field_ref="u100" level="10" />
@@ -253,5 +258,5 @@
                     <field field_ref="v850" level="10" />
                     <field field_ref="v700" level="10" />
-                    <field field_ref="v500" level="10" />
+                    <field field_ref="v500" level="5" />
                     <field field_ref="v200" level="10" />
                     <field field_ref="v100" level="10" />
@@ -267,5 +272,5 @@
                     <field field_ref="t850" level="10" />
                     <field field_ref="t700" level="10" />
-                    <field field_ref="t500" level="10" />
+                    <field field_ref="t500" level="5" />
                     <field field_ref="t200" level="10" />
                     <field field_ref="t100" level="10" />
@@ -281,5 +286,5 @@
                     <field field_ref="z850" level="10" />
                     <field field_ref="z700" level="10" />
-                    <field field_ref="z500" level="10" />
+                    <field field_ref="z500" level="5" />
                     <field field_ref="z200" level="10" />
                     <field field_ref="z100" level="10" />
@@ -299,5 +304,5 @@
                 <field field_ref="v10_oce" level="10" />
                 <field field_ref="v10_sic" level="10" />
-                <field field_ref="rh2m" level="10" />
+                <field field_ref="rh2m" level="5" />
                 <field field_ref="rh2m_min" level="10" operation="minimum" />
                 <field field_ref="rh2m_max" level="10" operation="maximum" />
@@ -503,21 +508,22 @@
                 <field field_ref="concno3" level="10" />
                 <field field_ref="ec550aer" level="10" />
-                <field field_ref="lwcon" level="10" />
-                <field field_ref="iwcon" level="10" />
+                <field field_ref="lwcon" level="5" />
+                <field field_ref="iwcon" level="5" />
                 <field field_ref="temp" level="4" />
                 <field field_ref="theta" level="10" />
-                <field field_ref="ovap" level="10" />
+                <field field_ref="ovap" level="5" />
                 <field field_ref="ovapinit" level="10" />
-                <field field_ref="oliq" level="10" />
-                <field field_ref="ocond" level="10" />
+                <field field_ref="oliq" level="5" />
+		<field field_ref="ocond" level="5" />
+		<field field_ref="qbs" level="5" />
                 <field field_ref="geop" level="10" />
                 <field field_ref="geoph" level="10" />
-                <field field_ref="vitu" level="10" />
-                <field field_ref="vitv" level="10" />
+                <field field_ref="vitu" level="5" />
+                <field field_ref="vitv" level="5" />
                 <field field_ref="vitw" level="6" />
-                <field field_ref="pres" level="10" />
+                <field field_ref="pres" level="5" />
                 <field field_ref="paprs" level="10" />
                 <field field_ref="mass" level="10" />
-                <field field_ref="zfull" level="10" />
+                <field field_ref="zfull" level="5" />
                 <field field_ref="zhalf" level="10" />
                 <field field_ref="rneb" level="10" />
@@ -525,11 +531,12 @@
                 <field field_ref="rnebls" level="10" />
                 <field field_ref="rneblsvol" level="10" />
-                <field field_ref="rhum" level="10" />
+		<field field_ref="rhum" level="10" />
+		<field field_ref="rhi" level="5" />
                 <field field_ref="ozone" level="10" />
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
                 <field field_ref="duphy" level="10" />
-                <field field_ref="dtphy" level="10" />
-                <field field_ref="dqphy" level="10" />
+                <field field_ref="dtphy" level="5" />
+                <field field_ref="dqphy" level="5" />
                 <field field_ref="dqlphy" level="10" />
                 <field field_ref="dqsphy" level="10" />
@@ -537,5 +544,6 @@
                 <field field_ref="pr_con_i" level="10" />
                 <field field_ref="pr_lsc_l" level="10" />
-                <field field_ref="pr_lsc_i" level="10" />
+		<field field_ref="pr_lsc_i" level="10" />
+		<field field_ref="pr_bs" level="5" />
                 <field field_ref="re" level="10" />
                 <field field_ref="fl" level="10" />
@@ -555,6 +563,6 @@
                 <field field_ref="dnwd0" level="10" />
                 <field field_ref="mc" level="10" />
-                <field field_ref="dtdyn" level="10" />
-                <field field_ref="dqdyn" level="10" />
+                <field field_ref="dtdyn" level="5" />
+                <field field_ref="dqdyn" level="5" />
                 <field field_ref="dqldyn" level="10" />
                 <field field_ref="dqsdyn" level="10" />
@@ -576,5 +584,7 @@
                 <field field_ref="dtlsc" level="10" />
                 <field field_ref="dtlschr" level="10" />
-                <field field_ref="dqlsc" level="10" />
+		<field field_ref="dqlsc" level="10" />
+		<field field_ref="dtbs" level="5" />
+                <field field_ref="dqbs" level="5" />
                 <field field_ref="beta_prec" level="10" />
                 <field field_ref="dtvdf" level="10" />