Index: oid_file
===================================================================
--- /.void_file	(revision 4496)
+++ 	(revision )
@@ -1,1 +1,0 @@
-
Index: d.cfg
===================================================================
--- /bld.cfg	(revision 4496)
+++ 	(revision )
@@ -1,85 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc arch.fcm
-inc config.fcm
-
-%FFLAGS           %BASE_FFLAGS %COMPIL_FFLAGS
-
-dir::root            $PWD
-
-# Do not scan source tree subdirectories
-search_src           0
-
-# source code directories
-src::src	     src
-src::phys            src/%PHYS
-
-bld::lib icosa_lmdz
-bld::target libicosa_lmdz.a icosa_lmdz.exe
-bld::exe_dep             
-
-bld::tool::fc        %COMPILER
-bld::tool::ld        %LINK  
-bld::tool::ldflags   %LD_FLAGS -Wl,--start-group -L../lib -licosa_lmdz -L $PWD/../DYNAMICO/lib -licosa -Wl,--end-group  -L $PWD/../LMDZ/config/lib -llmdz  %LIB 
-bld::tool::fflags    %FFLAGS -I $PWD/../DYNAMICO/inc -I$PWD/../LMDZ/config/inc -I $PWD/../XIOS/inc 
-bld::tool::fppkeys   %CPP_KEY %FPP_DEF
-bld::tool::fpp       %FPP
-bld::tool::fppflags  %FPP_FLAGS
-
-# Pre-process code before analysing dependencies
-bld::pp              1
-
-# external dependencies to not track
-bld::excl_dep        use::netcdf
-bld::excl_dep        use::omp_lib
-bld::excl_dep        inc::mpif.h
-bld::excl_dep        use::xios
-bld::excl_dep        use::icosa_init_mod
-bld::excl_dep        use::mod_phys_lmdz_omp_data
-bld::excl_dep        use::mod_grid_phy_lmdz
-bld::excl_dep        use::field_mod
-bld::excl_dep        use::domain_mod
-bld::excl_dep        use::dimensions
-bld::excl_dep        use::icosa
-bld::excl_dep        use::disvert_mod
-bld::excl_dep        use::earth_const
-bld::excl_dep        use::mpi_mod
-bld::excl_dep        use::mpipara
-bld::excl_dep        use::transfert_mod
-bld::excl_dep        use::xios_mod
-bld::excl_dep        use::time_mod
-bld::excl_dep        use::mod_phys_lmdz_omp_data
-bld::excl_dep        use::mod_phys_lmdz_para
-bld::excl_dep        use::time_phylmdz_mod
-bld::excl_dep        use::pression_mod
-bld::excl_dep        use::exner_mod
-bld::excl_dep        use::theta2theta_rhodz_mod
-bld::excl_dep        use::geopotential_mod
-bld::excl_dep        use::wind_mod
-bld::excl_dep        use::omp_para
-bld::excl_dep        use::physics_external_mod
-bld::excl_dep        use::trace
-bld::excl_dep        use::physics_distribution_mod
-bld::excl_dep        use::geometry_mod
-bld::excl_dep        use::vertical_layers_mod
-bld::excl_dep        use::infotrac_phy
-bld::excl_dep        use::inifis_mod 
-bld::excl_dep        use::physiq_mod
-bld::excl_dep        use::phyaqua_mod
-bld::excl_dep        use::wxios
-bld::excl_dep        use::write_field_mod
-bld::excl_dep        use::checksum_mod
-bld::excl_dep        use::vorticity_mod
-bld::excl_dep        use::nudging_mod
-bld::excl_dep        use::trac_types_mod
-bld::excl_dep        use::tracer_icosa_mod
-bld::excl_dep        use::readTracFiles_mod
-
-bld::tool::SHELL   /bin/bash
Index: ild
===================================================================
--- /build	(revision 4496)
+++ 	(revision )
@@ -1,4 +1,0 @@
-#!/bin/bash
-
-export PATH=$PWD/../ICOSAGCM/tools/FCM/bin:$PATH
-fcm build  $*
Index: ean
===================================================================
--- /clean	(revision 4496)
+++ 	(revision )
@@ -1,12 +1,0 @@
-rm -rf ./obj
-rm -rf ./done
-rm -rf ./inc
-rm -rf ./flags
-rm -rf ./ppsrc
-rm -rf ./bld
-rm -rf ./etc
-rm -rf ./lib
-rm -rf ./bin
-rm -rf ./.cache
-
-
Index: mpile
===================================================================
--- /compile	(revision 4496)
+++ 	(revision )
@@ -1,1 +1,0 @@
-make_icosa_lmdz -debug -parallel mpi_omp -p lmd -with_orchidee -arch X64_ADA -arch_path ../ARCH -job 8 
Index: ke_icosa_lmdz
===================================================================
--- /make_icosa_lmdz	(revision 4496)
+++ 	(revision )
@@ -1,254 +1,0 @@
-#!/bin/bash
-#set -x
-
-# Use FCM from DYNAMICO
-export PATH=$PWD/../DYNAMICO/tools/FCM/bin:$PATH
-export ROOT=$PWD
-
-echo $0 $* > rebuild_all
-chmod a+x rebuild_all
-
-compil_mode_defined="FALSE"
-compil_mode="prod"
-
-job=1
-full_defined="FALSE"
-with_xios_defined="TRUE"
-with_orchidee_defined="FALSE"
-with_inca_defined="FALSE"
-with_oasis_defined="FALSE"
-arch_defined="FALSE"
-parallel_defined="FALSE"
-arch_path="../ARCH"
-arch_default_path="arch"
-parallel="none"
-phys="none"
-build_deps="TRUE"
-CPP_KEY="CPP_NONE" 
-ICOSA_LIB=""
-rrtm="false"
-
-while (($# > 0))
-  do
-  case $1 in
-      "-h") cat <<fin
-Usage :
-makegcm [options] -m arch -p phys  exec
-[-h]                       : help
-[-prod / -dev / -debug]    : compilation en mode production (default) / developpement / debug .
-[-nodeps]                  : do not build dependencies (XIOS, IOIPSL, LMDZ, DYNAMICO must be compiled already)
- -arch nom_arch            : nom de l\'architecture cible
- -p phys                   : physics package (e.g. std , venus , ...)
-[-p_opt "options"]         : additional options for physics package
-fin
-	  exit;;
-
-      "-p")
-          phys=$2 ; shift ; shift ;;
-      
-      "-p_opt")
-          phys_opt=$2 ; shift ; shift ;;
-
-      "-rrtm")
-          rrtm=$2 ; shift ; shift ;;
-         
-      "-prod")
-	  compil_mode="prod" ; shift ;;
-
-      "-dev")
-	  compil_mode="dev" ; shift ;;
-
-      "-debug")
-	  compil_mode="debug" ; shift ;;
-
-      "-arch")
-	  arch=$2 ; arch_defined="TRUE"; shift ; shift ;;
- 
-      "-arch_path")
-	  arch_path=$2 ; arch_path_defined="TRUE"; shift ; shift ;;
-
-      "-parallel")
-	  parallel=$2 ; parallel_defined="TRUE"; shift ; shift ;;
-
-      "-job")
-	  job=$2 ; shift ; shift;;
-
-      "-full")
-	  full_defined="TRUE" ; shift ;;
-
-      "-nodeps")
-	  build_deps="FALSE" ; shift ;;
-
-      "-with_xios")
-	  with_xios_defined="TRUE" ; shift ;;
-
-      "-with_orchidee")
-	  with_orchidee_defined="TRUE" ; shift ;;
-
-      "-with_inca")
-	  with_inca_defined="TRUE" ; shift ;;
-
-      "-with_oasis")
-      with_oasis_defined="TRUE" ; shift ;;
-
-
-      *)
-	  code="$1" ; shift ;;
-  esac
-done
-
-rm -f .void_file
-echo > .void_file
-rm -rf .void_dir
-mkdir .void_dir
-
-if [[ "$arch_defined" == "TRUE" ]]
-then
-  rm -f arch.path
-  rm -f arch.fcm
-  rm -f arch.env
-
-  if test -f $arch_path/arch-${arch}.path
-  then
-    ln -s $arch_path/arch-${arch}.path arch.path
-  elif test -f $arch_default_path/arch-${arch}.path
-  then
-    ln -s $arch_default_path/arch-${arch}.path arch.path
-  fi
-        
-  if test -f $arch_path/arch-${arch}.fcm
-  then
-    ln -s $arch_path/arch-${arch}.fcm arch.fcm
-  elif test -f $arch_default_path/arch-${arch}.fcm
-  then
-    ln -s $arch_default_path/arch-${arch}.fcm arch.fcm
-  fi
-
-  if test -f $arch_path/arch-${arch}.env
-  then
-    ln -s $arch_path/arch-${arch}.env arch.env
-  elif test -f $arch_default_path/arch-${arch}.env
-  then
-    ln -s $arch_default_path/arch-${arch}.env arch.env
-  else
-    ln -s .void_file arch.env
-  fi
-  source arch.env
-  source arch.path
-else
-  echo "Please define a target architecture"
-  exit 1
-fi
-
-LD_FLAGS="%BASE_LD"
-
-if [[ "$compil_mode" == "prod" ]]
-then
-  COMPIL_FFLAGS="%PROD_FFLAGS"
-elif [[ "$compil_mode" == "dev" ]]
-then
-  COMPIL_FFLAGS="%DEV_FFLAGS"
-elif [[ "$compil_mode" == "debug" ]]
-then
-  COMPIL_FFLAGS="%DEBUG_FFLAGS"
-fi
-
-if [[ "$parallel" == "mpi" ]]
-then
-  CPP_KEY="$CPP_KEY CPP_USING_MPI"
-elif [[ "$parallel" == "omp" ]]
-then
-  CPP_KEY="$CPP_KEY CPP_USING_OMP"
-  COMPIL_FFLAGS="$COMPIL_FFLAGS %OMP_FFLAGS"
-  LD_FLAGS="$LD_FLAGS %OMP_LD"
-elif [[ "$parallel" == "mpi_omp" ]]
-then
-  CPP_KEY="$CPP_KEY CPP_USING_MPI CPP_USING_OMP"
-  COMPIL_FFLAGS="$COMPIL_FFLAGS %OMP_FFLAGS"
-  LD_FLAGS="$LD_FLAGS %OMP_LD"
-elif [[ "$parallel" == "none" ]]
-then
-  parallel="none"
-else 
-  echo "-parallel value $parallel is invalid, only permited <none>, <mpi>, <omp> or <mpi_omp>"
-  exit 1
-fi
-
-if [[ "$with_orchidee_defined" == "TRUE" ]]
-then
-  ICOSA_LIB="$ICOSA_LIB $ORCHIDEE_LIBDIR $ORCHIDEE_LIB"
-fi  
-
-if [[ "$with_inca_defined" == "TRUE" ]]
-then
-  CPP_KEY="$CPP_KEY INCA"
-  ICOSA_LIB="$ICOSA_LIB $INCA_LIBDIR $INCA_LIB"
-fi 
-
-if [[ "$with_oasis_defined" == "TRUE" ]]
-then
-  ICOSA_LIB="$ICOSA_LIB $OASIS_LIBDIR $OASIS_LIB"
-fi
-
-
-if [[ "$with_xios_defined" == "TRUE" ]]
-then
-  CPP_KEY="$CPP_KEY CPP_USING_XIOS"
-  COMPIL_FFLAGS="$COMPIL_FFLAGS $XIOS_INCDIR"
-  ICOSA_LIB="$ICOSA_LIB $XIOS_LIBDIR $XIOS_LIB"
-fi  
-
-ICOSA_LIB="$ICOSA_LIB $IOIPSL_LIBDIR $IOIPSL_LIB $NETCDF_LIBDIR $NETCDF_LIB $HDF5_LIBDIR $HDF5_LIB"
-
-rm bin/*
-
-if [[ "$full_defined" == "TRUE" ]]
-then
-  full_flag="-full"
-  full_flag2="--full"
-else 
-  full_flag=""
-  full_flag2=""
-fi
-
-rm -f config.fcm
-
-echo "%COMPIL_FFLAGS $COMPIL_FFLAGS $NETCDF_INCDIR" >> config.fcm
-echo "%LD_FLAGS $LD_FLAGS" >> config.fcm
-echo "%CPP_KEY $CPP_KEY" >> config.fcm
-echo "%PHYS phy$phys" >> config.fcm
-echo "%LIB $ICOSA_LIB">> config.fcm
-
-if [[ "$build_deps" == "TRUE" ]]
-then
-
-    cd ../IOIPSL
-    ./makeioipsl_fcm -$compil_mode -parallel -arch $arch -arch_path $arch_path -j $job $full_flag  || exit 1
-    cd -
-
-    cd ../XIOS
-    ./make_xios --$compil_mode --arch $arch --arch_path $arch_path --job $job $full_flag2 || exit 1
-    cd -
-
-    if [[ "$with_orchidee_defined" == "TRUE" ]]
-    then
-	cd ../ORCHIDEE
-	./makeorchidee_fcm -$compil_mode -parallel $parallel -xios2 -arch $arch -arch_path $arch_path -j $job $full_flag  || exit 1
-	cd -
-    fi
-
-    cd ../LMDZ
-    lmdz_veget="false"
-    if [[ "$with_orchidee_defined" == "TRUE" ]]
-    then
-	lmdz_veget="orchidee2.0 -cpp ORCHIDEE_NOZ0H"
-    fi
-    ./makelmdz_fcm -p $phys $phys_opt -rrtm $rrtm -$compil_mode -mem -parallel $parallel -libphy -io xios -v $lmdz_veget -arch $arch -arch_path $arch_path -j $job $full_flag || exit 1
-    cd -
-
-    cd ../DYNAMICO
-    ./make_icosa -$compil_mode -parallel $parallel -external_ioipsl -with_xios -arch $arch -arch_path $arch_path -job $job $full_flag || exit 1
-    cd -
-fi
-
-./build --job $job $full_flag2